Customer Wallets

Get Account For Satoshitest

GET/v1/customers/{customer_uuid}/wallets/satoshitest/

Authorization

X-Api-Key
string required
API key generated in the Developers section of the Stablegate app. Send it in the X-Api-Key header on every request; the partner API does not require request signing.

Path parameters

customer_uuid
string<uuid> required
Customer UUID

Query parameters

rail
string required
Crypto rail codeOne of: bitcoin, ethereum, algorand, polygon, ripple, xinfin, stellar, tron

Responses

Successful Response

address
string required
segwit_address
string | null
curl 'https://api.stablegate.com/v1/customers/CUSTOMER_UUID/wallets/satoshitest/?rail=bitcoin' \
  --header 'X-Api-Key: YOUR_API_KEY'
{
  "address": "string",
  "segwit_address": "string"
}
Copyright © 2026